[3/4] fff-nodewatcher: Start only when alfred is running

Submitted by Robert Langhammer on Sept. 10, 2018, 7:48 p.m.

Details

Message ID 20180910194820.16700-4-rlanghammer@web.de
State Superseded
Headers show

Commit Message

Robert Langhammer Sept. 10, 2018, 7:48 p.m.
Signed-off-by: Robert Langhammer <rlanghammer@web.de>
---
 src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher b/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
index c0ae57b..02e36c1 100755
--- a/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
+++ b/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
@@ -4,7 +4,8 @@ 
 
 SCRIPT_VERSION="48"
 
-test -f /tmp/started || exit
+# only start when alfred is running
+pidof alfred > /dev/null || exit
 
 #Get the configuration from the uci configuration file
 #If it does not exists, then get it from a normal bash file with variables.

Comments

Tim Niemeyer Sept. 10, 2018, 8:08 p.m.
Am Montag, den 10.09.2018, 21:48 +0200 schrieb Robert Langhammer:
> Signed-off-by: Robert Langhammer <rlanghammer@web.de>
> ---
>  src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
> 
> diff --git a/src/packages/fff/fff-
> nodewatcher/files/usr/sbin/nodewatcher b/src/packages/fff/fff-
> nodewatcher/files/usr/sbin/nodewatcher
> index c0ae57b..02e36c1 100755
> --- a/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
> +++ b/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
> @@ -4,7 +4,8 @@
>  
>  SCRIPT_VERSION="48"
>  
> -test -f /tmp/started || exit
> +# only start when alfred is running
> +pidof alfred > /dev/null || exit

Grumpf.. Irgendwie.. Puh.. Ist einfach die falsche stelle. Das sollte
vom Init-System sichergestellt sein, finde ich.

Und wenn man es lokal prüft, dann sollte man ggfs dir Schnittstelle
testen und nicht, ob ein Programm mit dem Namen da ist.

Eigentlich sollte man nodewatcher auch laufen lassen können, wenn kein
Alfred da ist.

Ja, je länger ich darüber nachdenke, bin ich dagegen das einzubauen.
Nodewatcher _muss_ einfach immer laufen können. Das Teil soll bitte
ordentliches Error-Handling können, für den Fall, dass irgendwelche zu
monitorenden Dinge nicht da sind.

Ich benutze den z.B. tatsächlich auch ohne alfred gern, weil ich mir
die Daten auf anderem Wege hole.

Tim

>  
>  #Get the configuration from the uci configuration file
>  #If it does not exists, then get it from a normal bash file with
> variables.
Robert Langhammer Sept. 10, 2018, 8:24 p.m.
Am 10.09.2018 um 22:08 schrieb Tim Niemeyer:
> Am Montag, den 10.09.2018, 21:48 +0200 schrieb Robert Langhammer:
>> Signed-off-by: Robert Langhammer <rlanghammer@web.de>
>> ---
>>  src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher | 3 ++-
>>  1 file changed, 2 insertions(+), 1 deletion(-)
>>
>> diff --git a/src/packages/fff/fff-
>> nodewatcher/files/usr/sbin/nodewatcher b/src/packages/fff/fff-
>> nodewatcher/files/usr/sbin/nodewatcher
>> index c0ae57b..02e36c1 100755
>> --- a/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
>> +++ b/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
>> @@ -4,7 +4,8 @@
>>  
>>  SCRIPT_VERSION="48"
>>  
>> -test -f /tmp/started || exit
>> +# only start when alfred is running
>> +pidof alfred > /dev/null || exit
> Grumpf.. Irgendwie.. Puh.. Ist einfach die falsche stelle. Das sollte
> vom Init-System sichergestellt sein, finde ich.
>
> Und wenn man es lokal prüft, dann sollte man ggfs dir Schnittstelle
> testen und nicht, ob ein Programm mit dem Namen da ist.
>
> Eigentlich sollte man nodewatcher auch laufen lassen können, wenn kein
> Alfred da ist.
>
> Ja, je länger ich darüber nachdenke, bin ich dagegen das einzubauen.
> Nodewatcher _muss_ einfach immer laufen können. Das Teil soll bitte
> ordentliches Error-Handling können, für den Fall, dass irgendwelche zu
> monitorenden Dinge nicht da sind.
Das ist Einleuchtend. Den Patch kann man ja einfach weg lassen. Und
falls der nodewatcher mal zu frueh startet, geht auch nichts kaputt.

Robert
>
> Ich benutze den z.B. tatsächlich auch ohne alfred gern, weil ich mir
> die Daten auf anderem Wege hole.
>
> Tim
>
>>  
>>  #Get the configuration from the uci configuration file
>>  #If it does not exists, then get it from a normal bash file with
>> variables.